#include <stdio.h>
#include <stdlib.h>
int N[10000];
int main()
{
    int n, count = 0;
    scanf("%d", &n);
    for(int i = 0;i < n;i++)
        scanf("%d", &N[i]);
    for(int i = 0;i < n;i++)
    {
        for(int k = i;N[k] % 2 || k < n;k++)
            if(!(N[k] % 2))
                count += n - k;
    }
    printf("%d", count);
    return 0;
}
